---
 drivers/md/dm-thin.c |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Index: linux-3.1-rc9/drivers/md/dm-thin.c
===================================================================
--- linux-3.1-rc9.orig/drivers/md/dm-thin.c
+++ linux-3.1-rc9/drivers/md/dm-thin.c
@@ -492,7 +492,7 @@ struct pool {
 	struct bio_list awaiting_commit;
 	struct list_head prepared_mappings;
 
-	struct bio_list retry_list;
+	struct bio_list retry_on_resume_list;
 
 	struct deferred_set ds;	/* FIXME: move to thin_c */
 
@@ -650,7 +650,7 @@ static void requeue_io(struct thin_c *tc
 
 	spin_lock_irqsave(&pool->lock, flags);
 	__requeue_bio_list(tc, &pool->deferred_bios);
-	__requeue_bio_list(tc, &pool->retry_list);
+	__requeue_bio_list(tc, &pool->retry_on_resume_list);
 	spin_unlock_irqrestore(&pool->lock, flags);
 }
 
@@ -928,7 +928,7 @@ static void retry_later(struct bio *bio)
 	unsigned long flags;
 
 	spin_lock_irqsave(&pool->lock, flags);
-	bio_list_add(&pool->retry_list, bio);
+	bio_list_add(&pool->retry_on_resume_list, bio);
 	spin_unlock_irqrestore(&pool->lock, flags);
 }
 
@@ -1339,7 +1339,7 @@ static int pool_is_congested(struct dm_t
 	struct pool_c *pt = container_of(cb, struct pool_c, callbacks);
 
 	spin_lock_irqsave(&pt->pool->lock, flags);
-	r = !bio_list_empty(&pt->pool->retry_list);
+	r = !bio_list_empty(&pt->pool->retry_on_resume_list);
 	spin_unlock_irqrestore(&pt->pool->lock, flags);
 
 	if (!r) {
@@ -1352,8 +1352,8 @@ static int pool_is_congested(struct dm_t
 
 static void __requeue_bios(struct pool *pool)
 {
-	bio_list_merge(&pool->deferred_bios, &pool->retry_list);
-	bio_list_init(&pool->retry_list);
+	bio_list_merge(&pool->deferred_bios, &pool->retry_on_resume_list);
+	bio_list_init(&pool->retry_on_resume_list);
 }
 
 /*----------------------------------------------------------------
@@ -1464,7 +1464,7 @@ static struct pool *pool_create(struct m
 	INIT_LIST_HEAD(&pool->prepared_mappings);
 	pool->low_water_triggered = 0;
 	pool->no_free_space = 0;
-	bio_list_init(&pool->retry_list);
+	bio_list_init(&pool->retry_on_resume_list);
 	ds_init(&pool->ds);
 
 	pool->next_mapping = NULL;
